mmativ

So instead of ss3 or ss4, we call now s3 and s4?

mmativ

I got 500 Internal Server Error when opening a reports, but it works fine on local, anyone experience this before?

wmk

any error logs on the server you can ask what's going on? Does this happen when you switch to dev-mode? You can add a ?isDev=1 to your URL

mmativ

I don’t have access to production server, i will ask our server guy to check the log, hoping getting some info there.

mmativ

Ahh right, is Docker works fine on Windows? my second choice is to install another OS beside from windows so maybe that will be Ubuntu

mmativ

Hello, i’m planning to use Windows 10 as development machine next month or maybe early next year, any idea what best way to have multiple PHP versions and better terminal, aslo WSL is worth it to try?

Im currently using Air.

sorokin

I've been using WAMP for a while now, you can install different versions of php and there's the option to switch between them from the tray icon, however if you really want a more -nix like dev environment WSL is definitely worth a shot, though I personally haven't used it much.

sorokin

though that doesn't give you per-site php versions if thats what you're looking for

sorokin

Also, for docker, you need windows pro so you can enable HyperV. I haven't used it much but I was involved in a project that required docker for windows, connecting to it remotely from within WSL (with the -nix docker) to run build scripts which were written for bash

sorokin

as for a better terminal; i find the git bash does everything i need, however again i'd try WSL first, and if you're using VSCode Insiders you can use the Remote WSL extension, I've been using remote SSH to our dev server for a while now

mmativ

How about your composer when changing PHP version, you don’t receive any error?

sorokin

tbh i haven't needed to change version, just the once when i was first setting it up. I downloaded and installed the module/extension for the version I needed (I installed a couple other versions too because I can't read). I don't remember having any trouble with it

👍 (1)
sorokin

installing wamp doesn't autmatically add its version of PHP to PATH, so you'll need to do that if you want to be sure you're running the same version in cli/composer as apache. If you're going to be switching php version often, i can't really give you any advice on that

mmativ

WSL 2 looks interesting but if there’s a reason i can’t use WSL 2, i will consider using WAMP

sorokin

yeah, i'd probably do that too. Most of my work is on a shared dev server so i've only got a couple projects running locally, so it hasn't been worth the time to properly get wsl setup for multiple projects


Show less replies
mmativ

Ahh right, it’s because of the render with something

mmativ

Yeah, using other field is working but not hitting the action method

mmativ

Really weird, even my file field is empty i got same error when submit

mmativ

I got

  1. static $allowed_actions = array(
  2. 'Form'
  3. );